OpenVDB: openvdb::v3_2_0::tools::composite Namespace Reference

OpenVDB 3.2.0

Classes | Enumerations | Functions
openvdb::v3_2_0::tools::composite Namespace Reference

## Classes
struct | BuildPrimarySegment
struct | BuildSecondarySegment
struct | GridOrTreeConstructor
struct | GridOrTreeConstructor< Grid< TreeType > >

## Enumerations
enum | CSGOperation { CSG_UNION, CSG_INTERSECTION, CSG_DIFFERENCE }

## Functions
template<typename T >
const boost::disable_if_c< VecTraits< T >::IsVec, T >::type & | min (const T &a, const T &b)
template<typename T >
const boost::disable_if_c< VecTraits< T >::IsVec, T >::type & | max (const T &a, const T &b)
template<typename T >
const boost::enable_if_c< VecTraits< T >::IsVec, T >::type & | min (const T &a, const T &b)
template<typename T >
const boost::enable_if_c< VecTraits< T >::IsVec, T >::type & | max (const T &a, const T &b)
template<typename T >
boost::disable_if< boost::is_integral< T >, T >::type | divide (const T &a, const T &b)
template<typename T >
boost::enable_if< boost::is_integral< T >, T >::type | divide (const T &a, const T &b)
bool | divide (bool a, bool)
template<CSGOperation Operation, typename TreeType >
TreeType::Ptr | doCSGCopy (const TreeType &lhs, const TreeType &rhs)

## Enumeration Type Documentation

## ◆ CSGOperation

enum CSGOperation

Enumerator
CSG_UNION |
CSG_INTERSECTION |
CSG_DIFFERENCE |

## Function Documentation

## ◆ divide() [1/3]

boost::disable_if<boost::is_integral<T>, T>::type openvdb::v3_2_0::tools::composite::divide | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ divide() [2/3]

boost::enable_if<boost::is_integral<T>, T>::type openvdb::v3_2_0::tools::composite::divide | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ divide() [3/3]

bool openvdb::v3_2_0::tools::composite::divide | ( | bool | a,
|  | bool |
| ) |  |
| inline

## ◆ doCSGCopy()

TreeType::Ptr openvdb::v3_2_0::tools::composite::doCSGCopy | ( | const TreeType & | lhs,
|  | const TreeType & | rhs
| ) |  |
| inline

## ◆ max() [1/2]

const boost::disable_if_c<VecTraits<T>::IsVec, T>::type& openvdb::v3_2_0::tools::composite::max | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ max() [2/2]

const boost::enable_if_c<VecTraits<T>::IsVec, T>::type& openvdb::v3_2_0::tools::composite::max | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ min() [1/2]

const boost::disable_if_c<VecTraits<T>::IsVec, T>::type& openvdb::v3_2_0::tools::composite::min | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline

## ◆ min() [2/2]

const boost::enable_if_c<VecTraits<T>::IsVec, T>::type& openvdb::v3_2_0::tools::composite::min | ( | const T & | a,
|  | const T & | b
| ) |  |
| inline